Bug 8573 - the SMBnegprot reponse without extended security returns non-aligned unicode strings
the SMBnegprot reponse without extended security returns non-aligned unicode ...
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-04 11:57 UTC by Stefan Metzmacher
Modified: 2011-11-09 18:52 UTC (History)
1 user (show)

See Also:


Attachments
Patch for v3-6-test (1.88 KB, patch)
2011-11-06 03:48 UTC, Stefan Metzmacher
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2011-11-04 11:57:50 UTC
We fail to parse the server workgroup of non-extended-security reponses.

This is not critical, because the following session setup places
the correct string into cli->server_domain, but we should avoid
that and might want to use the server workgroup for the
NTLMv2 blob.
Comment 1 Stefan Metzmacher 2011-11-04 12:17:05 UTC
Patches will follow...
Comment 2 Stefan Metzmacher 2011-11-06 03:48:12 UTC
Created attachment 7064 [details]
Patch for v3-6-test
Comment 3 Jeremy Allison 2011-11-08 00:10:04 UTC
Comment on attachment 7064 [details]
Patch for v3-6-test

Looks good to me.
Comment 4 Jeremy Allison 2011-11-08 00:10:29 UTC
Re-assigning to Karolin for inclusion in 3.6.next.
Comment 5 Karolin Seeger 2011-11-09 18:52:08 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!